using System;
using System.Linq;

class Program
{
    static void Main()
    {
        var consoleLinija = Console.ReadLine().Split();
        int N = int.Parse(consoleLinija[0]);
        int L = int.Parse(consoleLinija[1]);

        var heights = Console.ReadLine().Split().Select(int.Parse).ToArray();

        for (int i = 0; i < N; i++)
        {
            if (heights[i] <= L)
            {
                Console.WriteLine(i + 1);
                return;
            }
        }

        Console.WriteLine(-1);
    }
}